MPD: playlist/PlaylistPlugin.hxx File Reference

MPD 0.20.18

Data Structures | Functions
PlaylistPlugin.hxx File Reference
`#include "input/Ptr.hxx"`
Include dependency graph for PlaylistPlugin.hxx:

Go to the source code of this file.

## Data Structures
struct | playlist_plugin

## Functions
static bool | playlist_plugin_init (const struct playlist_plugin *plugin, const ConfigBlock &block)
| Initialize a plugin. More...
static void | playlist_plugin_finish (const struct playlist_plugin *plugin)
| Deinitialize a plugin which was initialized successfully. More...
static SongEnumerator * | playlist_plugin_open_uri (const struct playlist_plugin *plugin, const char *uri, Mutex &mutex, Cond &cond)
static SongEnumerator * | playlist_plugin_open_stream (const struct playlist_plugin *plugin, InputStreamPtr &&is)

## Function Documentation

## ◆ playlist_plugin_finish()

static void playlist_plugin_finish | ( | const struct playlist_plugin * | plugin | ) |
| inlinestatic

Deinitialize a plugin which was initialized successfully.

Definition at line 93 of file PlaylistPlugin.hxx.

## ◆ playlist_plugin_init()

static bool playlist_plugin_init | ( | const struct playlist_plugin * | plugin,
|  | const ConfigBlock & | block
| ) |  |
| inlinestatic

Initialize a plugin.

Parameters

  block | a configuration block for this plugin, or nullptr if none is configured

Returns
  true if the plugin was initialized successfully, false if the plugin is not available

Definition at line 81 of file PlaylistPlugin.hxx.

## ◆ playlist_plugin_open_stream()

static SongEnumerator* playlist_plugin_open_stream | ( | const struct playlist_plugin * | plugin,
|  | InputStreamPtr && | is
| ) |  |
| inlinestatic

Definition at line 107 of file PlaylistPlugin.hxx.

## ◆ playlist_plugin_open_uri()

static SongEnumerator* playlist_plugin_open_uri | ( | const struct playlist_plugin * | plugin,
|  | const char * | uri,
|  | Mutex & | mutex,
|  | Cond & | cond
| ) |  |
| inlinestatic

Definition at line 100 of file PlaylistPlugin.hxx.